Skip to main content
patch/v2/teamspaces/{teamspaceId}/sites/{siteId}
Request example
Response
patch/v2/teamspaces/{teamspaceId}/sites/{siteId}

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id.
siteIdstringrequired#
Docs7 site id.

Body

application/json
hostingenum<string>#
Publish a site added for the agents only. One way; delete the site to stop publishing. The only field a developer can send.
Options:on
slugstring#

Length: 3–40

analyticsUrlstring#
customDomainstring#
customDomainPathstring#
customDomainRoutingenum<string>#
Options:dnsproxy
branchstring#

Length: 1–255

docsPathstring#
context7Indexboolean#
improveScheduleenum<string>#
Options:offdailyweekly
pullRequestReviewobject#
PR Review Agent settings.
codeWatchobject#
buildFixScheduleenum<string>#
When the Build Fix Agent fixes the issues of the latest production build (hosted sites).
Options:offafter_builddailyweekly

Responses

application/json
The updated site
dataobjectrequired#
A Docs7 site built from a GitHub repository.
deploymentIdstringrequired#
The first build when this call published the site.
context7Noticestringrequired#
Why Context7 could not index the repository, when context7Index was turned on but the library cannot refresh.